Impacted Resources - Get
Gets the specific impacted resource in the subscription by an event.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ResourceHealth/events/{eventTrackingId}/impactedResources/{impactedResourceName}?api-version=2025-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
event
|
path | True |
string |
Event Id which uniquely identifies ServiceHealth event. |
|
impacted
|
path | True |
string pattern: ^[^*#&+:<>%?]+$ |
Name of the Impacted Resource. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
ImpactedResourcesGet
Sample request
GET https://management.azure.com/subscriptions/subscriptionId/providers/Microsoft.ResourceHealth/events/BC_1-FXZ/impactedResources/abc-123-ghj-456?api-version=2025-05-01
Sample response
{
"name": "abc-123-ghj-456",
"type": "Microsoft.ResourceHealth/events/impactedResources",
"id": "/subscriptions/{subscripitionId}/providers/Microsoft.ResourceHealth/events/BC_1-FXZ/impactedResources/abc-123-ghj-456",
"properties": {
"targetRegion": "westus",
"targetResourceId": "/subscriptions/4970d23e-ed41-4670-9c19-02a1d2808dd9/resourceGroups/TEST/providers/Microsoft.Compute/virtualMachines/testvm",
"targetResourceType": "Microsoft.Compute/VirtualMachines"
}
}
Definitions
| Name | Description |
|---|---|
|
Error |
Error details. |
|
event |
Impacted resource for an event. |
|
key |
Key value tuple. |
ErrorResponse
Error details.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| details |
string |
The error details. |
| message |
string |
The error message. |
eventImpactedResource
Impacted resource for an event.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Azure Resource Manager Identity for the availabilityStatuses resource. |
| location |
string |
Azure Resource Manager geo location of the resource. |
| name |
string |
|
| properties.info |
Additional information. |
|
| properties.targetRegion |
string |
Impacted resource region name. |
| properties.targetResourceId |
string |
Identity for resource within Microsoft cloud. |
| properties.targetResourceType |
string |
Resource type within Microsoft cloud. |
| type |
string |
Microsoft.ResourceHealth/AvailabilityStatuses. |
keyValueItem
Key value tuple.
| Name | Type | Description |
|---|---|---|
| key |
string |
Key of tuple. |
| value |
string |
Value of tuple. |